%define with_geoclue	0

Name:		redshift
Version:	1.7
Release:	%mkrel 7
Summary:	Adjusts the color temperature of your screen according to time of day
Url:		http://jonls.dk/redshift/
Source0:	http://launchpad.net/redshift/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Patch0:		redshift-1.7-geoclue-provider.patch
License:	GPLv3+
Group:		Graphical desktop/Other
BuildRequires:	x11-server-devel
BuildRequires:	glib2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	python-devel

%if %{with_geoclue}
BuildRequires:	geoclue-devel
Requires:	geoclue
%endif

%package gtk
Summary:	GTK integration for Redshift
Group:		Graphical desktop/Other
Requires:	pygtk2.0
Requires:	python-pyxdg
Requires:	redshift = %{version}-%{release}

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

%description gtk
GTK integration for Redshift, a screen color temperature adjustment
program.

%prep
%setup -q

%if %{with_geoclue}
%patch0 -p1 -b .geoclue
%endif

%build
%configure2_5x \
%if %{with_geoclue}
	--enable-geoclue \
%else
	--disable-geoclue \
%endif
	--disable-rpath \
	--enable-gui
%make

%install
%makeinstall_std

# symlink
ln -s gtk-%{name} %{buildroot}%{_bindir}/%{name}-gtk

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS AUTHORS README 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%files gtk
%{_bindir}/gtk-%{name}
%{_bindir}/%{name}-gtk
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/applications/gtk-%{name}.desktop
%{python_sitelib}/gtk_redshift/


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7-7.mga3
+ Revision: 380278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 wally <wally> 1.7-6.mga3
+ Revision: 262771
- add redshift-gtk symlink
- clean .spec

* Fri Dec 23 2011 wally <wally> 1.7-5.mga2
+ Revision: 186922
- gtk subpackage requires python-pyxdg

* Wed Jul 13 2011 wally <wally> 1.7-4.mga2
+ Revision: 123751
- disable geoclue support for now as it appears to be a bit broken

* Tue Jul 12 2011 wally <wally> 1.7-3.mga2
+ Revision: 123416
- require geoclue

* Tue Jul 12 2011 wally <wally> 1.7-2.mga2
+ Revision: 123275
- add patch from Fedora to change default geoclue provider

* Mon Jul 11 2011 wally <wally> 1.7-1.mga2
+ Revision: 122448
- new version 1.7
- add geoclue support

* Sun Jan 23 2011 wally <wally> 1.6-3.mga1
+ Revision: 34637
- drop buildroot definition from .spec
- imported package redshift

